#!/bin/zsh

# Copyright 2022-2023 Inference
# SPDX-License-Identifier: BSD-3-Clause-Clear

# Version: 1.0.0.2


# Rename all files in current directory to UUIDs.
for FILE in *
do
    if [ -f "$FILE" ];then
		ID=`uuidgen`
		EXTENSION=${FILE#*.}
	mv -v "$FILE" "$ID"."$EXTENSION"
	fi
done
